#ifndef XCLEAFBRUSHNODECHILDREN_H
#define XCLEAFBRUSHNODECHILDREN_H

#include "xasset.h"

#include <QVector>

class XCLeafBrushNodeChildren : public XAsset
{
public:
    explicit XCLeafBrushNodeChildren();
    ~XCLeafBrushNodeChildren();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    float mDist;
    float mRange;
    QVector<quint32> mChildOffset;
};

#endif // XCLEAFBRUSHNODECHILDREN_H
